﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>Pregled svih konzorcija</title>
    <link href="lib/jqueryui/themes/base/jquery-ui.min.css" rel="stylesheet" type="text/css" />
    <link href="lib/jtable/lib/themes/lightcolor/blue/jtable.min.css" rel="stylesheet" type="text/css" />
</head>
<body>

    <div class="container">
        <div class="row">
            <div class="col-sm-12" id="konzorciji">

            </div>
        </div>
    </div>

    <script type="text/javascript" src="lib/jquery/jquery.min.js"></script>
    <script type="text/javascript" src="lib/jqueryui/jquery-ui.min.js"></script>
    <script type="text/javascript" src="lib/jtable/lib/jquery.jtable.min.js"></script>
    <script type="text/javascript" src="lib/jtable/lib/localization/jquery.jtable.hr.js"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            $('#konzorciji').jtable({
                title: 'Popis konzorcija',
                paging: true,
                pageSize: 5,
                sorting: true,
                defaultSorting: 'Oib DESC',
                actions: {
                    listAction: 'jtable/konzorcij/getall',
                    createAction: 'jtable/konzorcij/create',
                    updateAction: 'jtable/konzorcij/update',
                    deleteAction: 'jtable/konzorcij/delete'
                },
                fields: {
                    Oib: {
                        create:true,
                        key: true,
                        list: true,
                        title: "Oib konzorcija"
                    },
                    Naziv: {
                        title: 'Naziv konzorcija',
                        width: '20%'
                    },
                    AdresaSjedista: {
                        title: 'Adresa sjedišta',
                        width: '30%'
                    },
                    FkMjesto: {
                        title: 'Naziv mjesta',
                        width: '30%'
                    },
                    FkVrstaKonzorcija: {
                        title: 'Djelatnost konzorcija',
                        width: '20%',
                    }
                }
            });

            $("#konzorciji").jtable('load');
        });
    </script>

</body>
</html>